local fn = _gn(0xE40C1C56DF95C2E8)
--- This can only be run once [`CAN_REQUEST_ASSETS_FOR_CUTSCENE_ENTITY`](#\_0xB56BBBCC2955D9CB) is true, but can be run before [`HAS_CUTSCENE_LOADED`](#\_0xC59F528E9AB9F339)
-- @param cutsceneEntity Entity to put into the cutscene.
-- @param cutsceneEntName cHandle of cutscene entity, i.e Michael, MP\_1, MP\_4, Lamar
-- @param modelHash Not strictly neccasary, often 0 in R\* scripts
-- @param p4 0 for SP, 64 for MP seemingly
function Global.RegisterEntityForCutscene(cutsceneEntity, cutsceneEntName, p2, modelHash, p4)
	return _in2(fn, cutsceneEntity, _ts(cutsceneEntName), p2, _ch(modelHash), p4)
end
